server:
  port: 80
  servlet:
    context-path: /delivery
  #优雅关闭
  shutdown: graceful
aliyun:
  access-key: LTAI4FpGaZWYwymoeNPJq7xo
  access-key-secret: HpP8q7nmEhEbL8sbGdsQbwE7kcFPX1
  sign-name: 同城急送
  code-template:
    login-template: SMS_184115918
    courier-template: SMS_184120850
    order-template: SMS_184105904
spring:
  application:
    name: delivery
  session:
    store-type: redis
  lifecycle:
    timeout-per-shutdown-phase: 30s
  freemarker:
    suffix: .html
    #配置扫描jar
    prefer-file-system-access: false
  mvc:
    static-path-pattern: /static/**
  servlet:
    multipart:
      max-file-size: 2000MB
      max-request-size: 2048MB
  profiles:
    active: dev
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
  rabbitmq:
    #消息队列消费者权重
    priority: 0
  main:
    allow-circular-references: true
mybatis-plus:
  typeAliasesPackage: com.bohuikeji.delivery.backstage.entity
  global-config:
    field-strategy: 2
    db-column-underline: true
    refresh-mapper: true
    logic-delete-value: 0
    logic-not-delete-value: 1
  type-handlers-package: com.bohuikeji.frame.module.admin.handler
  configuration:
    cache-enabled: true
logging:
  config: classpath:xmlconfig/logback-spring.xml
#自定义工具配置项
tools:
  #地图key
  map:
    baidu-web-key: IzVewdGN59AEiuD8D7WQQhGNgfIbmAxK
    gaode-web-key: 85a1ae4ded62ef5762fb0bb8f9a71b6f
  oos:
    write: http://10.173.34.201:20000/
  alipay:
    binding-url: https://os.tcjskd.com/delivery/test/ali
  evn-url: https://test.tcjskd.com
  log-url: http://log.tcjskd.com
  dbName: same_city
#保险平台地址
bx:
  #api-tb: http://test.tdbxjj.com/api/pip-core-engine/issuing/TB101003
  api-tb: http://t.c.tdbxjj.com/api/pip-core-engine/issuing/TB101003
  #api-cx: http://test.tdbxjj.com/api/paycenter/getPolicyMsg
  api-cx: http://t.c.tdbxjj.com/api/paycenter/getPolicyMsg

#京东业务环境配置
jd:
  #各流程的的域名，默认为沙盒环境
  url:
    #oauth用户账户授权域名
    oauth-url: https://uat-oauth.jdl.cn
    #接口调用域名
    api-url: https://test-api.jdl.cnxian




